Move from consolekit to logind

Bug #1502045 reported by Martin Pitt on 2015-10-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lxdm (Debian)
Fix Released
Unknown
lxdm (Ubuntu)
High
Unassigned
lxsession (Ubuntu)
High
Simon Quigley
mate-power-manager (Ubuntu)
Medium
Unassigned
openssh (Ubuntu)
High
Colin Watson
polkit-qt-1 (Ubuntu)
Medium
Unassigned
solaar (Ubuntu)
Medium
Unassigned
sugar (Ubuntu)
Medium
Unassigned
tcosmonitor (Debian)
Fix Released
Unknown
tcosmonitor (Ubuntu)
Undecided
Unassigned
ulatencyd (Ubuntu)
Medium
Unassigned

Bug Description

consolekit has been dead upstream for a long time. Ubuntu moved to logind in saucy (13.10), and we don't support consolekit any more. There are a few packages which still depend on it, most notably openssh, lxdm, and lxsession{,-logout}. For Ubuntu 16.04 we really should get rid of CK.

Martin Pitt (pitti) on 2015-10-02
tags: added: transition
Colin Watson (cjwatson) on 2015-11-24
Changed in openssh (Ubuntu):
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssh - 1:6.9p1-3

---------------
openssh (1:6.9p1-3) unstable; urgency=medium

  * ssh_config(5): Fix markup errors in description of GSSAPITrustDns
    (closes: #799271).
  * Fix dh_install and dh_fixperms overrides to work properly with an
    architecture-independent-only build (closes: #806090).
  * Do much less work in architecture-independent-only builds.
  * Drop ConsoleKit session registration patch; it was only ever enabled for
    Ubuntu, which no longer needs it (LP: #1334916, #1502045).

 -- Colin Watson <email address hidden> Tue, 24 Nov 2015 22:48:53 +0000

Changed in openssh (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2016-02-16
Changed in tcosmonitor (Ubuntu):
status: New → Triaged
Changed in tcosmonitor (Debian):
status: Unknown → Confirmed
Changed in tcosmonitor (Debian):
status: Confirmed → Fix Released
Julien Lavergne (gilir) on 2016-04-17
Changed in lxsession (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
Steve Langasek (vorlon) wrote :

With the latest upload, Debian has dropped all support for consolekit on Linux architectures:

consolekit (0.4.6-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark packages as kfreebsd-any hurd-any. On Linux, the consolekit package
    is actively harmful and should no longer be installed. See #888892

 -- Michael Biebl <email address hidden> Wed, 31 Jan 2018 23:38:09 +0100

The logical next step is to blacklist consolekit in Ubuntu and remove it from the archive for bionic.

However, lxdm has a dependency on libck-connector0, so we can't remove it without breaking this package.

I am therefore uploading it to drop the dependency.

Changed in lxdm (Ubuntu):
importance: Undecided → High
status: New → In Progress
Changed in lxsession (Ubuntu):
assignee: Julien Lavergne (gilir) → Simon Quigley (tsimonq2)
Changed in tcosmonitor (Ubuntu):
status: Triaged → Fix Released
Simon Quigley (tsimonq2) on 2018-02-09
Changed in lxsession (Ubuntu):
status: New → In Progress
importance: Undecided → High
Steve Langasek (vorlon) wrote :

mate-power-manager and polkit-qt-1 still have consolekit as a non-default alternative dependency. They should be updated to drop this reference, so that all users will be migrated to libpam-systemd on upgrade if they haven't been already.

This will not block consolekit's removal from the bionic archive.

Changed in lxdm (Ubuntu):
status: In Progress → Fix Committed
Changed in mate-power-manager (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in polkit-qt-1 (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in sugar (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in solaar (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in ulatencyd (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in lxdm (Debian):
status: Unknown → New
Simon Quigley (tsimonq2) on 2018-02-09
Changed in lxsession (Ubuntu):
milestone: none → ubuntu-18.02
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxdm - 0.5.3-2ubuntu1

---------------
lxdm (0.5.3-2ubuntu1) bionic; urgency=medium

  * Drop build dependency on the obsolete libck-connector-dev.
    LP: #1502045.

 -- Steve Langasek <email address hidden> Fri, 09 Feb 2018 13:31:32 -0800

Changed in lxdm (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxsession - 0.5.3-2ubuntu1

---------------
lxsession (0.5.3-2ubuntu1) bionic; urgency=medium

  * Drop the dependency on consolekit in favor of the systemd replacements
    (LP: #1502045).

 -- Simon Quigley <email address hidden> Fri, 09 Feb 2018 15:39:09 -0600

Changed in lxsession (Ubuntu):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from bionic:
 consolekit 0.4.6-6 in bionic
  consolekit 0.4.6-6 in bionic amd64
  consolekit 0.4.6-6 in bionic arm64
  consolekit 0.4.6-6 in bionic armhf
  consolekit 0.4.6-6 in bionic i386
  consolekit 0.4.6-6 in bionic ppc64el
  consolekit 0.4.6-6 in bionic s390x
  libck-connector-dev 0.4.6-6 in bionic amd64
  libck-connector-dev 0.4.6-6 in bionic arm64
  libck-connector-dev 0.4.6-6 in bionic armhf
  libck-connector-dev 0.4.6-6 in bionic i386
  libck-connector-dev 0.4.6-6 in bionic ppc64el
  libck-connector-dev 0.4.6-6 in bionic s390x
  libck-connector0 0.4.6-6 in bionic amd64
  libck-connector0 0.4.6-6 in bionic arm64
  libck-connector0 0.4.6-6 in bionic armhf
  libck-connector0 0.4.6-6 in bionic i386
  libck-connector0 0.4.6-6 in bionic ppc64el
  libck-connector0 0.4.6-6 in bionic s390x
  libpam-ck-connector 0.4.6-6 in bionic amd64
  libpam-ck-connector 0.4.6-6 in bionic arm64
  libpam-ck-connector 0.4.6-6 in bionic armhf
  libpam-ck-connector 0.4.6-6 in bionic i386
  libpam-ck-connector 0.4.6-6 in bionic ppc64el
  libpam-ck-connector 0.4.6-6 in bionic s390x
Comment: No longer used on Linux; LP: #1502045
1 package successfully removed.
Removing packages from bionic-proposed:
 consolekit 0.4.6-6.1 in bionic
Comment: No longer used on Linux; LP: #1502045
1 package successfully removed.

Changed in lxdm (Debian):
status: New → Fix Released
Martin Wimpress (flexiondotorg) wrote :

mate-power-manager has been using systemd for sometime in Ubuntu.

Changed in mate-power-manager (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.